# Ogre::EdgeData Class Reference

This class contains the information required to describe the edge connectivity of a given set of vertices and indexes. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Types

typedef std::vector< Triangle > | TriangleList
typedef std::vector< Edge > | EdgeList
typedef std::vector< EdgeGroup > | EdgeGroupList

## Public Member Functions

void | updateTriangleLightFacing (const Vector4 &lightPos)
| Calculate the light facing state of the triangles in this edge list.
void | updateFaceNormals (size_t vertexSet, HardwareVertexBufferSharedPtr positionBuffer)
| Updates the face normals for this edge list based on (changed) position information, useful for animated objects.
void | log (Log *log)

## Public Attributes

TriangleList | triangles
EdgeGroupList | edgeGroups

## Detailed Description

This class contains the information required to describe the edge connectivity of a given set of vertices and indexes.

Remarks:
  This information is built using the EdgeListBuilder class. Note that for a given mesh, which can be made up of multiple submeshes, there are separate edge lists for when

Definition at line 42 of file OgreEdgeListBuilder.h.

## Member Typedef Documentation

typedef std::vector<EdgeGroup> Ogre::EdgeData::EdgeGroupList

| Definition at line 88 of file OgreEdgeListBuilder.h.

typedef std::vector<Edge> Ogre::EdgeData::EdgeList

| Definition at line 74 of file OgreEdgeListBuilder.h.

typedef std::vector<Triangle> Ogre::EdgeData::TriangleList

| Definition at line 73 of file OgreEdgeListBuilder.h.

## Member Function Documentation

void Ogre::EdgeData::log | ( | Log * | log | ) |

void Ogre::EdgeData::updateFaceNormals | ( | size_t | vertexSet,
|  | HardwareVertexBufferSharedPtr | positionBuffer
| ) |

Updates the face normals for this edge list based on (changed) position information, useful for animated objects.

Parameters:

  vertexSet | The vertex set we are updating
  positionBuffer | The updated position buffer, must contain ONLY xyz

void Ogre::EdgeData::updateTriangleLightFacing | ( | const Vector4 & | lightPos | ) |

Calculate the light facing state of the triangles in this edge list.

Remarks:
  This is normally the first stage of calculating a silhouette, ie establishing which tris are facing the light and which are facing away. This state is stored in the 'lightFacing' flag in each Triangle.

Parameters:

  lightPos | 4D position of the light in object space, note that for directional lights (which have no position), the w component is 0 and the x/y/z position are the direction.

## Member Data Documentation

EdgeGroupList Ogre::EdgeData::edgeGroups

| Definition at line 90 of file OgreEdgeListBuilder.h.

TriangleList Ogre::EdgeData::triangles

| Definition at line 89 of file OgreEdgeListBuilder.h.

The documentation for this class was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:21 2006